import { InputPath, MigrationApiInput } from '../api/api-types';
import { ParsedLibrary } from './reading/parsed-types';
export declare function makeNewLibrary({ oldLibrary, replacePaths, checkReplacementPaths, loggingEnabled, checkFiles, removeRatingComputed, extraTrackProcessing, }: Readonly<{
    oldLibrary: Readonly<ParsedLibrary>;
    replacePaths: Readonly<Readonly<InputPath>[]>;
    checkReplacementPaths?: boolean;
    loggingEnabled?: boolean;
    checkFiles?: boolean;
    removeRatingComputed?: boolean;
    extraTrackProcessing?: MigrationApiInput['extraTrackProcessing'];
}>): Readonly<ParsedLibrary>;
